Package org.drinkless.tdlib

# Class TdApi.InputPaidMedia

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPaidMedia

Enclosing class:
  `TdApi`

public static class TdApi.InputPaidMedia extends TdApi.Object
Describes a paid media to be sent.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `addedStickerFileIds`
  File identifiers of the stickers added to the media, if applicable.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Media height.
  `TdApi.InputFile`
  `media`
  Photo or video to be sent.
  `TdApi.InputThumbnail`
  `thumbnail`
  Media thumbnail; pass null to skip thumbnail uploading.
  `TdApi.InputPaidMediaType`
  `type`
  Type of the media.
  `int`
  `width`
  Media width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPaidMedia()`
  Describes a paid media to be sent.
  `InputPaidMedia(TdApi.InputPaidMediaType type, TdApi.InputFile media, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height)`
  Describes a paid media to be sent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.InputPaidMediaType type
    Type of the media.

  - ### media

    public TdApi.InputFile media
    Photo or video to be sent.

  - ### thumbnail

    public TdApi.InputThumbnail thumbnail
    Media thumbnail; pass null to skip thumbnail uploading.

  - ### addedStickerFileIds

    public int[] addedStickerFileIds
    File identifiers of the stickers added to the media, if applicable.

  - ### width

    public int width
    Media width.

  - ### height

    public int height
    Media height.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPaidMedia

    public InputPaidMedia()
    Describes a paid media to be sent.

  - ### InputPaidMedia

    public InputPaidMedia(TdApi.InputPaidMediaType type, TdApi.InputFile media, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height)
    Describes a paid media to be sent.
    Parameters:
      `type` - Type of the media.
      `media` - Photo or video to be sent.
      `thumbnail` - Media thumbnail; pass null to skip thumbnail uploading.
      `addedStickerFileIds` - File identifiers of the stickers added to the media, if applicable.
      `width` - Media width.
      `height` - Media height.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR